/**
  * Warthog Robotics
  * University of Sao Paulo (USP) at Sao Carlos
  * http://www.warthog.sc.usp.br/
  * This file is part of the WRStation project
  *
  * Copyright (C) 2017 Warthog Robotics
  *
  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program. If not, see <http://www.gnu.org/licenses/>.
  **/

// Prevents multiple definitions
#ifndef WRSTATION_COMMANDSERIALINTERFACE_GUI_COMMANDSERIALINTERFACEGUI
#define WRSTATION_COMMANDSERIALINTERFACE_GUI_COMMANDSERIALINTERFACEGUI


// Includes WRStation
#include <WRStation/wrstation.hh>


// Includes GUI of the submodules
#include <WRStation/CommandSerialInterface/GUI/commandinterfacegui.hh>
#include <WRStation/CommandSerialInterface/GUI/actuatorworkergui.hh>
#include <WRStation/CommandSerialInterface/GUI/serialworkergui.hh>


// Includes Qt libraries
#include <QtCore/QtCore>
#include <QtGui/QtGui>
#include <QtWidgets/QtWidgets>
#include <QtSerialPort/QtSerialPort>


// TODO: Insert class and method descriptions
class WRStation::CommandSerialInterface::GUI::CommandSerialInterfaceGUI : public QWidget {
    Q_OBJECT

    private:
        WRStation::CommandSerialInterface::CommandInterface*         _commandInterface;
        WRStation::CommandSerialInterface::GUI::CommandInterfaceGUI* _commandInterfaceGUI;
        WRStation::CommandSerialInterface::GUI::ActuatorWorkerGUI*   _actuatorWorkerGUI;
        WRStation::CommandSerialInterface::GUI::SerialWorkerGUI*     _serialWorkerGUI;

    private:
        QTabWidget _tabWidget;

    public:
        CommandSerialInterfaceGUI(QWidget* parent, WRStation::CommandSerialInterface::CommandInterface* commandInterface);
};


#endif
