/**
  * Warthog Robotics
  * University of Sao Paulo (USP) at Sao Carlos
  * http://www.warthog.sc.usp.br/
  * This file is part of the WRStation project
  *
  * Copyright (C) 2017 Warthog Robotics
  *
  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program. If not, see <http://www.gnu.org/licenses/>.
  **/

// Prevents multiple definitions
#ifndef WRSTATION_COMMANDSERIALINTERFACE_PROTOCOL_INTERFACE
#define WRSTATION_COMMANDSERIALINTERFACE_PROTOCOL_INTERFACE


// Includes WRStation
#include <WRStation/wrstation.hh>


// Includes Qt libraries
#include <QtCore/QtCore>


// TODO: Insert class and method descriptions
class WRStation::CommandSerialInterface::Protocol::Interface {
    public:
        virtual ~Interface() { }

        virtual QString protocolName() const = 0;
        virtual quint8  protocolCode() const = 0;
        virtual quint8  protocolVersion() const = 0;

        virtual QByteArray encodeCommand(const WRStation::CommandPlayerState& playerState, quint32 nonce) = 0;
        virtual WRStation::CommandPlayerState decodeCommand(const QByteArray& rawData, quint32& nonce) = 0;
};


#endif
