/**
  * Warthog Robotics
  * University of Sao Paulo (USP) at Sao Carlos
  * http://www.warthog.sc.usp.br/
  * This file is part of the WRStation project
  *
  * Copyright (C) 2017 Warthog Robotics
  *
  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program. If not, see <http://www.gnu.org/licenses/>.
  **/

// Prevents multiple definitions
#ifndef WRSTATION_NAMESPACE
#define WRSTATION_NAMESPACE


// Defines the WRStation namespace
namespace WRStation {
    class Station;

    namespace GUI {
        class StationGUI;
    }

    class CommandPlayerState;

    namespace CommandSerialInterface {
        class CommandInterface;
        class ActuatorWorker;
        class SerialWorker;

        namespace Protocol {
            class Interface;
            class WRMagicCommandV0;
        }

        namespace GUI {
            class CommandSerialInterfaceGUI;
            class CommandInterfaceGUI;
            class ActuatorWorkerGUI;
            class SerialWorkerGUI;
        }
    }
}


#endif
