/**
  * Warthog Robotics
  * University of Sao Paulo (USP) at Sao Carlos
  * http://www.warthog.sc.usp.br/
  * This file is part of the WRStation project
  *
  * Copyright (C) 2017 Warthog Robotics
  *
  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program. If not, see <http://www.gnu.org/licenses/>.
  **/

// Includes class header
#include <WRStation/CommandSerialInterface/GUI/commandinterfacegui.hh>


// Includes WRStation
#include <WRStation/wrstation.hh>


// Includes Qt libraries
#include <QtCore/QtCore>
#include <QtGui/QtGui>
#include <QtWidgets/QtWidgets>


// Selects namespace
using namespace WRStation;


WRStation::CommandSerialInterface::GUI::CommandInterfaceGUI::CommandInterfaceGUI(QWidget* parent, CommandSerialInterface::CommandInterface* commandInterface) : QWidget(parent) {
    // Sets the controlled command interface
    _commandInterface = commandInterface;

    // Sets the object name
    this->setObjectName(this->metaObject()->className());
    this->resize(100, 100);

    QVBoxLayout* layout = new QVBoxLayout();
    QLabel* label = new QLabel(QString::fromUtf8("CommandInterface"));
    layout->addWidget(label);
    this->setLayout(layout);
}
