/**
  * Warthog Robotics
  * University of Sao Paulo (USP) at Sao Carlos
  * http://www.warthog.sc.usp.br/
  * This file is part of the WRStation project
  *
  * Copyright (C) 2017 Warthog Robotics
  *
  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program. If not, see <http://www.gnu.org/licenses/>.
  **/

// Includes Qt libraries
#include <QtCore/QtCore>
#include <QtGui/QtGui>
#include <QtWidgets/QtWidgets>


// Includes WRStation
#include <WRStation/wrstation.hh>


/** @brief main Application's main function.
  * @param argc
  * @param argv
  * @return '0' if everything went OK. An error code otherwise.
  **/
int main(int argc, char *argv[]) {
    // Creates the Qt application
    QApplication application(argc, argv);

    // Creates the station
    WRStation::Station station;;

    // Creates the GUI
    WRStation::GUI::StationGUI stationGUI(&station);
    stationGUI.show();

    // Starts the application
    int error = application.exec();

    // Returns the application error code
    return(error);
}
